## Function template extract

boost::log::extract

## Synopsis

    // In header: <boost/log/attributes/value_extraction.hpp>

    template<typename T, typename TagT = void>
      result_of::extract< T, TagT >::type
      extract(attribute_name const & name, attribute_value_set const & attrs);

## Description

The function extracts an attribute value from the view. The user has to explicitly specify the type or set of possible types of the attribute value to be extracted.

Parameters:

`attrs` | A set of attribute values in which to look for the specified attribute value.
`name` | The name of the attribute value to extract.

Returns: | A `value_ref` that refers to the extracted value, if found. An empty value otherwise.